//监测跟踪代码
(function (i, s, o, g, r, a, m) {
    i['GoogleAnalyticsObject'] = r;
    i[r] = i[r] || function () {
            (i[r].q = i[r].q || []).push(arguments)
        }, i[r].l = 1 * new Date();
    a = s.createElement(o),
        m = s.getElementsByTagName(o)[0];
    a.async = 1;
    a.src = g;
    m.parentNode.insertBefore(a, m)
})(window, document, 'script', '//www.google-analytics.com/analytics.js', 'ga');

ga('create', 'UA-69109830-1', 'auto');
ga('send', 'pageview');

function RSAKeyPair(encryptionExponent, decryptionExponent, modulus) {
    this.e = biFromHex(encryptionExponent);
    this.d = biFromHex(decryptionExponent);
    this.m = biFromHex(modulus);
    this.chunkSize = 2 * biHighIndex(this.m);
    this.radix = 16;
    this.barrett = new BarrettMu(this.m)
}function RSAKeyPairApp(encryptionExponent, decryptionExponent, modulus) {
    this.e = biFromHex(encryptionExponent);
    this.d = biFromHex(decryptionExponent);
    this.m = biFromHex(modulus);
    this.chunkSize = 128;
    this.radix = 16;
    this.barrett = new BarrettMu(this.m)
};function twoDigit(n) {
    return (n < 10 ? "0" : "") + String(n)
};function encryptedString(key, s) {
    var a = new Array();
    var sl = s.length;
    var i = 0;
    while (i < sl) {
        a[i] = s.charCodeAt(i);
        i++
    }
    ;
    while (a.length % key.chunkSize != 0) {
        a[i++] = 0
    }
    ;
    var al = a.length;
    var result = "";
    var j, k, block;
    for (i = 0; i < al; i += key.chunkSize) {
        block = new BigInt();
        j = 0;
        for (k = i; k < i + key.chunkSize; ++j) {
            block.digits[j] = a[k++];
            block.digits[j] += a[k++] << 8
        }
        var crypt = key.barrett.powMod(block, key.e);
        var text = key.radix == 16 ? biToHex(crypt) : biToString(crypt, key.radix);
        result += text + " "
    }
    ;
    return result.substring(0, result.length - 1)
};function decryptedString(key, s) {
    var blocks = s.split(" ");
    var result = "";
    var i, j, block;
    for (i = 0; i < blocks.length; ++i) {
        var bi;
        if (key.radix == 16) {
            bi = biFromHex(blocks[i])
        } else {
            bi = biFromString(blocks[i], key.radix)
        }
        block = key.barrett.powMod(bi, key.d);
        for (j = 0; j <= biHighIndex(block); ++j) {
            result += String.fromCharCode(block.digits[j] & 255, block.digits[j] >> 8)
        }
    }
    ;
    if (result.charCodeAt(result.length - 1) == 0) {
        result = result.substring(0, result.length - 1)
    }
    ;
    return result
};function BarrettMu(m) {
    this.modulus = biCopy(m);
    this.k = biHighIndex(this.modulus) + 1;
    var b2k = new BigInt();
    b2k.digits[2 * this.k] = 1;
    this.mu = biDivide(b2k, this.modulus);
    this.bkplus1 = new BigInt();
    this.bkplus1.digits[this.k + 1] = 1;
    this.modulo = BarrettMu_modulo;
    this.multiplyMod = BarrettMu_multiplyMod;
    this.powMod = BarrettMu_powMod
};function BarrettMu_modulo(x) {
    var q1 = biDivideByRadixPower(x, this.k - 1);
    var q2 = biMultiply(q1, this.mu);
    var q3 = biDivideByRadixPower(q2, this.k + 1);
    var r1 = biModuloByRadixPower(x, this.k + 1);
    var r2term = biMultiply(q3, this.modulus);
    var r2 = biModuloByRadixPower(r2term, this.k + 1);
    var r = biSubtract(r1, r2);
    if (r.isNeg) {
        r = biAdd(r, this.bkplus1)
    }
    ;
    var rgtem = biCompare(r, this.modulus) >= 0;
    while (rgtem) {
        r = biSubtract(r, this.modulus);
        rgtem = biCompare(r, this.modulus) >= 0
    }
    ;
    return r
};function BarrettMu_multiplyMod(x, y) {
    var xy = biMultiply(x, y);
    return this.modulo(xy)
};function BarrettMu_powMod(x, y) {
    var result = new BigInt();
    result.digits[0] = 1;
    var a = x;
    var k = y;
    while (true) {
        if ((k.digits[0] & 1) != 0)result = this.multiplyMod(result, a);
        k = biShiftRight(k, 1);
        if (k.digits[0] == 0 && biHighIndex(k) == 0)break;
        a = this.multiplyMod(a, a)
    }
    ;
    return result
};var biRadixBase = 2;
var biRadixBits = 16;
var bitsPerDigit = biRadixBits;
var biRadix = 1 << 16;
var biHalfRadix = biRadix >>> 1;
var biRadixSquared = biRadix * biRadix;
var maxDigitVal = biRadix - 1;
var maxInteger = 9999999999999998;
var maxDigits;
var ZERO_ARRAY;
var bigZero, bigOne;
function setMaxDigits(value) {
    maxDigits = value;
    ZERO_ARRAY = new Array(maxDigits);
    for (var iza = 0; iza < ZERO_ARRAY.length; iza++)ZERO_ARRAY[iza] = 0;
    bigZero = new BigInt();
    bigOne = new BigInt();
    bigOne.digits[0] = 1
};setMaxDigits(20);
var dpl10 = 15;
var lr10 = biFromNumber(1000000000000000);
function BigInt(flag) {
    if (typeof flag == "boolean" && flag == true) {
        this.digits = null
    } else {
        this.digits = ZERO_ARRAY.slice(0)
    }
    ;
    this.isNeg = false
};function biFromDecimal(s) {
    var isNeg = s.charAt(0) == '-';
    var i = isNeg ? 1 : 0;
    var result;
    while (i < s.length && s.charAt(i) == '0')++i;
    if (i == s.length) {
        result = new BigInt()
    } else {
        var digitCount = s.length - i;
        var fgl = digitCount % dpl10;
        if (fgl == 0)fgl = dpl10;
        result = biFromNumber(Number(s.substr(i, fgl)));
        i += fgl;
        while (i < s.length) {
            result = biAdd(biMultiply(result, lr10), biFromNumber(Number(s.substr(i, dpl10))));
            i += dpl10
        }
        ;
        result.isNeg = isNeg
    }
    ;
    return result
};function biCopy(bi) {
    var result = new BigInt(true);
    result.digits = bi.digits.slice(0);
    result.isNeg = bi.isNeg;
    return result
};function biFromNumber(i) {
    var result = new BigInt();
    result.isNeg = i < 0;
    i = Math.abs(i);
    var j = 0;
    while (i > 0) {
        result.digits[j++] = i & maxDigitVal;
        i = Math.floor(i / biRadix)
    }
    ;
    return result
};function reverseStr(s) {
    var result = "";
    for (var i = s.length - 1; i > -1; --i) {
        result += s.charAt(i)
    }
    ;
    return result
};var hexatrigesimalToChar = new Array('0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'a', 'b', 'c', 'd', 'e', 'f', 'g', 'h', 'i', 'j', 'k', 'l', 'm', 'n', 'o', 'p', 'q', 'r', 's', 't', 'u', 'v', 'w', 'x', 'y', 'z');
function biToString(x, radix) {
    var b = new BigInt();
    b.digits[0] = radix;
    var qr = biDivideModulo(x, b);
    var result = hexatrigesimalToChar[qr[1].digits[0]];
    while (biCompare(qr[0], bigZero) == 1) {
        qr = biDivideModulo(qr[0], b);
        digit = qr[1].digits[0];
        result += hexatrigesimalToChar[qr[1].digits[0]]
    }
    ;
    return (x.isNeg ? "-" : "") + reverseStr(result)
};function biToDecimal(x) {
    var b = new BigInt();
    b.digits[0] = 10;
    var qr = biDivideModulo(x, b);
    var result = String(qr[1].digits[0]);
    while (biCompare(qr[0], bigZero) == 1) {
        qr = biDivideModulo(qr[0], b);
        result += String(qr[1].digits[0])
    }
    ;
    return (x.isNeg ? "-" : "") + reverseStr(result)
};var hexToChar = new Array('0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'a', 'b', 'c', 'd', 'e', 'f');
function digitToHex(n) {
    var mask = 0xf;
    var result = "";
    for (i = 0; i < 4; ++i) {
        result += hexToChar[n & mask];
        n >>>= 4
    }
    ;
    return reverseStr(result)
};function biToHex(x) {
    var result = "";
    var n = biHighIndex(x);
    for (var i = biHighIndex(x); i > -1; --i) {
        result += digitToHex(x.digits[i])
    }
    ;
    return result
};function charToHex(c) {
    var ZERO = 48;
    var NINE = ZERO + 9;
    var littleA = 97;
    var littleZ = littleA + 25;
    var bigA = 65;
    var bigZ = 65 + 25;
    var result;
    if (c >= ZERO && c <= NINE) {
        result = c - ZERO
    } else if (c >= bigA && c <= bigZ) {
        result = 10 + c - bigA
    } else if (c >= littleA && c <= littleZ) {
        result = 10 + c - littleA
    } else {
        result = 0
    }
    ;
    return result
};function hexToDigit(s) {
    var result = 0;
    var sl = Math.min(s.length, 4);
    for (var i = 0; i < sl; ++i) {
        result <<= 4;
        result |= charToHex(s.charCodeAt(i))
    }
    ;
    return result
};function biFromHex(s) {
    var result = new BigInt();
    var sl = s.length;
    for (var i = sl, j = 0; i > 0; i -= 4, ++j) {
        result.digits[j] = hexToDigit(s.substr(Math.max(i - 4, 0), Math.min(i, 4)))
    }
    ;
    return result
};function biFromString(s, radix) {
    var isNeg = s.charAt(0) == '-';
    var istop = isNeg ? 1 : 0;
    var result = new BigInt();
    var place = new BigInt();
    place.digits[0] = 1;
    for (var i = s.length - 1; i >= istop; i--) {
        var c = s.charCodeAt(i);
        var digit = charToHex(c);
        var biDigit = biMultiplyDigit(place, digit);
        result = biAdd(result, biDigit);
        place = biMultiplyDigit(place, radix)
    }
    ;
    result.isNeg = isNeg;
    return result
};function biDump(b) {
    return (b.isNeg ? "-" : "") + b.digits.join(" ")
};function biAdd(x, y) {
    var result;
    if (x.isNeg != y.isNeg) {
        y.isNeg = !y.isNeg;
        result = biSubtract(x, y);
        y.isNeg = !y.isNeg
    } else {
        result = new BigInt();
        var c = 0;
        var n;
        for (var i = 0; i < x.digits.length; ++i) {
            n = x.digits[i] + y.digits[i] + c;
            result.digits[i] = n % biRadix;
            c = Number(n >= biRadix)
        }
        result.isNeg = x.isNeg
    }
    ;
    return result
};function biSubtract(x, y) {
    var result;
    if (x.isNeg != y.isNeg) {
        y.isNeg = !y.isNeg;
        result = biAdd(x, y);
        y.isNeg = !y.isNeg
    } else {
        result = new BigInt();
        var n, c;
        c = 0;
        for (var i = 0; i < x.digits.length; ++i) {
            n = x.digits[i] - y.digits[i] + c;
            result.digits[i] = n % biRadix;
            if (result.digits[i] < 0)result.digits[i] += biRadix;
            c = 0 - Number(n < 0)
        }
        if (c == -1) {
            c = 0;
            for (var i = 0; i < x.digits.length; ++i) {
                n = 0 - result.digits[i] + c;
                result.digits[i] = n % biRadix;
                if (result.digits[i] < 0)result.digits[i] += biRadix;
                c = 0 - Number(n < 0)
            }
            result.isNeg = !x.isNeg
        } else {
            result.isNeg = x.isNeg
        }
    }
    ;
    return result
};function biHighIndex(x) {
    var result = x.digits.length - 1;
    while (result > 0 && x.digits[result] == 0)--result;
    return result
};function biNumBits(x) {
    var n = biHighIndex(x);
    var d = x.digits[n];
    var m = (n + 1) * bitsPerDigit;
    var result;
    for (result = m; result > m - bitsPerDigit; --result) {
        if ((d & 0x8000) != 0)break;
        d <<= 1
    }
    ;
    return result
};function biMultiply(x, y) {
    var result = new BigInt();
    var c;
    var n = biHighIndex(x);
    var t = biHighIndex(y);
    var u, uv, k;
    for (var i = 0; i <= t; ++i) {
        c = 0;
        k = i;
        for (j = 0; j <= n; ++j, ++k) {
            uv = result.digits[k] + x.digits[j] * y.digits[i] + c;
            result.digits[k] = uv & maxDigitVal;
            c = uv >>> biRadixBits
        }
        result.digits[i + n + 1] = c
    }
    ;
    result.isNeg = x.isNeg != y.isNeg;
    return result
};function biMultiplyDigit(x, y) {
    var n, c, uv;
    result = new BigInt();
    n = biHighIndex(x);
    c = 0;
    for (var j = 0; j <= n; ++j) {
        uv = result.digits[j] + x.digits[j] * y + c;
        result.digits[j] = uv & maxDigitVal;
        c = uv >>> biRadixBits
    }
    result.digits[1 + n] = c;
    return result
};function arrayCopy(src, srcStart, dest, destStart, n) {
    var m = Math.min(srcStart + n, src.length);
    for (var i = srcStart, j = destStart; i < m; ++i, ++j) {
        dest[j] = src[i]
    }
};var highBitMasks = new Array(0x0000, 0x8000, 0xC000, 0xE000, 0xF000, 0xF800, 0xFC00, 0xFE00, 0xFF00, 0xFF80, 0xFFC0, 0xFFE0, 0xFFF0, 0xFFF8, 0xFFFC, 0xFFFE, 0xFFFF);
function biShiftLeft(x, n) {
    var digitCount = Math.floor(n / bitsPerDigit);
    var result = new BigInt();
    arrayCopy(x.digits, 0, result.digits, digitCount, result.digits.length - digitCount);
    var bits = n % bitsPerDigit;
    var rightBits = bitsPerDigit - bits;
    for (var i = result.digits.length - 1, i1 = i - 1; i > 0; --i, --i1) {
        result.digits[i] = ((result.digits[i] << bits) & maxDigitVal) | ((result.digits[i1] & highBitMasks[bits]) >>> (rightBits))
    }
    ;
    result.digits[0] = ((result.digits[i] << bits) & maxDigitVal);
    result.isNeg = x.isNeg;
    return result
};var lowBitMasks = new Array(0x0000, 0x0001, 0x0003, 0x0007, 0x000F, 0x001F, 0x003F, 0x007F, 0x00FF, 0x01FF, 0x03FF, 0x07FF, 0x0FFF, 0x1FFF, 0x3FFF, 0x7FFF, 0xFFFF);
function biShiftRight(x, n) {
    var digitCount = Math.floor(n / bitsPerDigit);
    var result = new BigInt();
    arrayCopy(x.digits, digitCount, result.digits, 0, x.digits.length - digitCount);
    var bits = n % bitsPerDigit;
    var leftBits = bitsPerDigit - bits;
    for (var i = 0, i1 = i + 1; i < result.digits.length - 1; ++i, ++i1) {
        result.digits[i] = (result.digits[i] >>> bits) | ((result.digits[i1] & lowBitMasks[bits]) << leftBits)
    }
    ;
    result.digits[result.digits.length - 1] >>>= bits;
    result.isNeg = x.isNeg;
    return result
};function biMultiplyByRadixPower(x, n) {
    var result = new BigInt();
    arrayCopy(x.digits, 0, result.digits, n, result.digits.length - n);
    return result
};function biDivideByRadixPower(x, n) {
    var result = new BigInt();
    arrayCopy(x.digits, n, result.digits, 0, result.digits.length - n);
    return result
};function biModuloByRadixPower(x, n) {
    var result = new BigInt();
    arrayCopy(x.digits, 0, result.digits, 0, n);
    return result
};function biCompare(x, y) {
    if (x.isNeg != y.isNeg) {
        return 1 - 2 * Number(x.isNeg)
    }
    ;
    for (var i = x.digits.length - 1; i >= 0; --i) {
        if (x.digits[i] != y.digits[i]) {
            if (x.isNeg) {
                return 1 - 2 * Number(x.digits[i] > y.digits[i])
            } else {
                return 1 - 2 * Number(x.digits[i] < y.digits[i])
            }
        }
    }
    ;
    return 0
};function biDivideModulo(x, y) {
    var nb = biNumBits(x);
    var tb = biNumBits(y);
    var origYIsNeg = y.isNeg;
    var q, r;
    if (nb < tb) {
        if (x.isNeg) {
            q = biCopy(bigOne);
            q.isNeg = !y.isNeg;
            x.isNeg = false;
            y.isNeg = false;
            r = biSubtract(y, x);
            x.isNeg = true;
            y.isNeg = origYIsNeg
        } else {
            q = new BigInt();
            r = biCopy(x)
        }
        return new Array(q, r)
    }
    ;
    q = new BigInt();
    r = x;
    var t = Math.ceil(tb / bitsPerDigit) - 1;
    var lambda = 0;
    while (y.digits[t] < biHalfRadix) {
        y = biShiftLeft(y, 1);
        ++lambda;
        ++tb;
        t = Math.ceil(tb / bitsPerDigit) - 1
    }
    ;
    r = biShiftLeft(r, lambda);
    nb += lambda;
    var n = Math.ceil(nb / bitsPerDigit) - 1;
    var b = biMultiplyByRadixPower(y, n - t);
    while (biCompare(r, b) != -1) {
        ++q.digits[n - t];
        r = biSubtract(r, b)
    }
    ;
    for (var i = n; i > t; --i) {
        var ri = (i >= r.digits.length) ? 0 : r.digits[i];
        var ri1 = (i - 1 >= r.digits.length) ? 0 : r.digits[i - 1];
        var ri2 = (i - 2 >= r.digits.length) ? 0 : r.digits[i - 2];
        var yt = (t >= y.digits.length) ? 0 : y.digits[t];
        var yt1 = (t - 1 >= y.digits.length) ? 0 : y.digits[t - 1];
        if (ri == yt) {
            q.digits[i - t - 1] = maxDigitVal
        } else {
            q.digits[i - t - 1] = Math.floor((ri * biRadix + ri1) / yt)
        }
        var c1 = q.digits[i - t - 1] * ((yt * biRadix) + yt1);
        var c2 = (ri * biRadixSquared) + ((ri1 * biRadix) + ri2);
        while (c1 > c2) {
            --q.digits[i - t - 1];
            c1 = q.digits[i - t - 1] * ((yt * biRadix) | yt1);
            c2 = (ri * biRadix * biRadix) + ((ri1 * biRadix) + ri2)
        }
        b = biMultiplyByRadixPower(y, i - t - 1);
        r = biSubtract(r, biMultiplyDigit(b, q.digits[i - t - 1]));
        if (r.isNeg) {
            r = biAdd(r, b);
            --q.digits[i - t - 1]
        }
    }
    ;
    r = biShiftRight(r, lambda);
    q.isNeg = x.isNeg != origYIsNeg;
    if (x.isNeg) {
        if (origYIsNeg) {
            q = biAdd(q, bigOne)
        } else {
            q = biSubtract(q, bigOne)
        }
        y = biShiftRight(y, lambda);
        r = biSubtract(y, r)
    }
    ;
    if (r.digits[0] == 0 && biHighIndex(r) == 0)r.isNeg = false;
    return new Array(q, r)
};function biDivide(x, y) {
    return biDivideModulo(x, y)[0]
};function biModulo(x, y) {
    return biDivideModulo(x, y)[1]
};function biMultiplyMod(x, y, m) {
    return biModulo(biMultiply(x, y), m)
};function biPow(x, y) {
    var result = bigOne;
    var a = x;
    while (true) {
        if ((y & 1) != 0)result = biMultiply(result, a);
        y >>= 1;
        if (y == 0)break;
        a = biMultiply(a, a)
    }
    return result
};function biPowMod(x, y, m) {
    var result = bigOne;
    var a = x;
    var k = y;
    while (true) {
        if ((k.digits[0] & 1) != 0)result = biMultiplyMod(result, a, m);
        k = biShiftRight(k, 1);
        if (k.digits[0] == 0 && biHighIndex(k) == 0)break;
        a = biMultiplyMod(a, a, m)
    }
    return result
};var getAjaxMessage = function () {
};
var ajaxObject = getAjaxMessage.prototype;
var ran = Math.random();
var tempdomain = window.location.host;
var currencyAddress = "http://" + tempdomain + "/";
var interfaceUrl = currencyAddress + "front-gateway-web/";
var _errorbackTest1 = function (responseText, textStatus, XMLHttpRequest) {
};
ajaxObject.init = function (_interfaceName, _data, _dataType, _callBack, _fundType,terminal) {
    var _this = this;
    var suffix = terminal ||  ".action";
    _this._interfaceUrl = interfaceUrl + _interfaceName + suffix;
    if(suffix!='.app'){
        if ((typeof _data) == "string") {
            if (!_data) {
                _data += "terminal=H5";
            } else {
                _data = "terminal=H5&" + _dataType;
            }
        } else if ((typeof _data) == "object") {
            _data.terminal = "H5"
        }
    }

    _this._interfaceData = _data;
    _this._interfaceDataType = _dataType;
    _this._interfaceCallBack = _callBack
};
ajaxObject.sendAjax = function () {
    $.ajax({
        url: this._interfaceUrl,
        dataType: "json",
        async: true,
        type: "post",
        data: this._interfaceData,
        success: this._interfaceCallBack,
        error: _errorbackTest1
    })
};
var myStorage = window.localStorage;
function leadNC(n) {
    if (!/^(0|[1-9]\d*)(\.\d+)?$/.test(n)) {
        return ""
    }
    ;
    var unit = "仟佰拾亿仟佰拾万仟佰拾元角分", str = "";
    n += "00";
    var p = n.indexOf('.');
    if (p >= 0) {
        n = n.substring(0, p) + n.substr(p + 1, 2)
    }
    ;
    unit = unit.substr(unit.length - n.length);
    for (var i = 0; i < n.length; i++) {
        str += '零壹贰叁肆伍陆柒捌玖'.charAt(n.charAt(i)) + unit.charAt(i)
    }
    ;
    return str.replace(/零(仟|佰|拾|角)/g, "零").replace(/(零)+/g, "零").replace(/零(万|亿|元)/g, "$1").replace(/(亿)万|壹(拾)/g, "$1$2").replace(/^元零?|零分/g, "").replace(/元$/g, "")
};var setLocal = function (_key, _value, _type) {
    if (myStorage) {
        var _key = _key;
        var _value = _value;
        var _type = _type ? _type : "";
        if (_type == "j")_value = JSON.stringify(_value);
        myStorage.setItem(_key, _value);
        return true
    } else {
        alert("the browser don't support local!")
    }
};
var getLocal = function (_key, _type) {
    if (myStorage) {
        var _key = _key;
        var _type = _type ? _type : "";
        var _value = myStorage.getItem(_key);
        if (_type == "j")var _value = JSON.parse(_value);
        return _value
    } else {
        alert("the browser don't support local!")
    }
};
var removeLocal = function (_key) {
    if (myStorage) {
        myStorage.removeItem(_key);
        return true
    } else {
        alert("the browser don't support local!")
    }
};
var gotoTransfer = function (_url, _transferType) {
    if (_url && _transferType) {
        window.location.href = interfaceUrl + "transferAction.action?backHtml=" + _url + "&transferType=" + _transferType + "&_=" + ran
    } else {
        alert("没有传递相关参数.")
    }
};
var warnUrl = currencyAddress + "html/images/";
function warninit() {
    var warnEle = document.createElement("DIV");
    with (warnEle) {
        id = "warnDomDiv";
        style.width = "80%";
        style.height = "auto";
        style.background = "#eee";
        style.textAlign = "center";
        style.left = "10%";
        style.top = "30%";
        style.position = "absolute";
        style.borderRadius = "6px";
        style.display = "none";
        style.zIndex = 100000000
    }
    ;
    document.body.insertBefore(warnEle, document.body.childNodes[0]);
    if (document.getElementById('warnDomDiv')) {
        var warnDom = document.getElementById('warnDomDiv');
        warnDom.innerHTML = '<div style="margin-top:10px; margin-bottom:20px; font-size:1em; font-family:Microsoft YaHei;">' + '<img id="logoImg" src="' + warnUrl + 'busy.png" style="width:18%;">' + '<p id="errormsgP" style="padding:0 10px;"><strong style="color:#3d3d3d; padding-left:10%; padding-right:10%;">系统正忙，请稍后再试</strong></p>' + '<p id="errorcodeP" style="font-size:0.8em; color:#999999;">(错误码: 3344556)</p>' + '</div>' + '<div style="width:100%; height:auto; text-align:center; border-style: solid; border-width: 1px 0px 0px 0px; border-color:#a0a3a3; color:#3d3d3d;">' + '<div id="leftMsgDiv" style="border-style: solid; border-width: 0px 1px 0px 0px; border-color:#a0a3a3; width:48%; height:auto; padding-bottom:10px; padding-top:10px; text-align:center; display:inline; float:left;"><strong id="leftbutStrong" style="font-size:1.1em;">取消</strong></div>' + '<div id="rightMsgDiv" style="width:48%; height:auto; margin-bottom:10px; padding-top:10px; text-align:center; float:right;"><strong id="rightbutStrong" style="font-size:1.1em;"><a style="text-decoration:none;" href="tel:400-067-6266">联系客服</a></strong></div>' + '</div>'
    }
};warninit();
function showWarn(_status, _errorcode, _logoImg, _warnMsg, _time, _buyUrl) {
    if (document.getElementById("loadingDiv"))var DivDom = document.getElementById("loadingDiv");
    if (document.getElementById('warnDomDiv'))var warnDom = document.getElementById('warnDomDiv');
    if (document.getElementById('errorcodeP'))var errorcodePDom = document.getElementById('errorcodeP');
    if (document.getElementById('errormsgP'))var errormsgPDom = document.getElementById('errormsgP');
    if (document.getElementById('logoImg'))var logoImgDom = document.getElementById('logoImg');
    if (document.getElementById('leftbutStrong'))var leftbutStrongDom = document.getElementById('leftbutStrong');
    if (document.getElementById('rightbutStrong'))var rightbutStrongDom = document.getElementById('rightbutStrong');
    if (document.getElementById('leftMsgDiv'))var leftMsgDivDom = document.getElementById('leftMsgDiv');
    if (document.getElementById('rightMsgDiv'))var rightMsgDivDom = document.getElementById('rightMsgDiv');
    switch (_status) {
        case"busy":
            errorcodePDom.innerHTML = "(错误码: " + _errorcode + ")";
            warnDom.style.display = "block";
            openMasking();
            leftMsgDivDom.onclick = function () {
                warnDom.style.display = "none";
                closeMasking()
            };
            break;
        case"warn":
            openMasking();
            logoImgDom.src = warnUrl + _logoImg;
            errormsgPDom.innerHTML = _warnMsg;
            errorcodePDom.style.display = "none";
            rightbutStrongDom.innerHTML = "继续购买";
            warnDom.style.display = "block";
            leftMsgDivDom.onclick = function () {
                warnDom.style.display = "none";
                closeMasking()
            };
            rightMsgDivDom.onclick = function () {
                closeMasking();
                warnDom.style.display = "none";
                if (_buyUrl)gotoTransfer(_buyUrl, 'b')
            };
            break;
        case"errorpsd":
            openMasking();
            logoImgDom.src = warnUrl + _logoImg;
            errormsgPDom.innerHTML = "交易密码有误";
            leftbutStrongDom.innerHTML = "重新输入";
            rightbutStrongDom.innerHTML = "忘记密码";
            warnDom.style.display = "block";
            leftMsgDivDom.onclick = function () {
                warnDom.style.display = "none";
                openRevoke();
                closeMasking()
            };
            rightMsgDivDom.onclick = function () {
                warnDom.style.display = "none";
                location.href = currencyAddress + "html/account/resetTradePaswrd.html"
            };
            break;
        case"lock":
            openMasking();
            logoImgDom.src = warnUrl + _logoImg;
            errormsgPDom.innerHTML = "交易密码已被锁定,请3小时后再试.";
            errorcodePDom.style.display = "none";
            leftbutStrongDom.innerHTML = "取消";
            rightbutStrongDom.innerHTML = "忘记密码";
            warnDom.style.display = "block";
            leftMsgDivDom.onclick = function () {
                warnDom.style.display = "none";
                closeMasking()
            };
            rightMsgDivDom.onclick = function () {
                warnDom.style.display = "none";
                location.href = currencyAddress + "html/account/resetTradePaswrd.html"
            };
            break;
        case"consult":
            openMasking();
            logoImgDom.src = warnUrl + _logoImg;
            errormsgPDom.innerHTML = "咨询问题已发送给您的专属理财顾问，稍后理财顾问将致电" + _warnMsg + "，对您的提问进行解答，请稍候。";
            errorcodePDom.style.display = "none";
            rightMsgDivDom.style.width = "100%";
            rightMsgDivDom.innerHTML = "我知道了";
            leftMsgDivDom.style.display = "none";
            warnDom.style.display = "block";
            rightMsgDivDom.onclick = function () {
                warnDom.style.display = "none";
                closeMasking()
            };
            break
    }
};function transformCode(_word) {
    if (_word) {
        switch (_word) {
            case"认购":
                return "020";
                break;
            case"认购确认":
                return "120";
                break;
            case"二次认购确认":
                return "130";
                break;
            case"申购":
                return "022";
                break;
            case"申购确认":
                return "122";
                break;
            case"赎回":
                return "024";
                break;
            case"赎回确认":
                return "124";
                break;
            case"非交易过户":
                return "133";
                break;
            case"转换":
                return "036";
                break;
            case"基金一次转换":
                return "136";
                break;
            case"基金二次转换转入":
                return "137";
                break;
            case"基金二次转换转出":
                return "138";
                break;
            case"强行调整":
                return "144";
                break;
            case"强行调减":
                return "145";
                break;
            case"募集失败":
                return "149";
                break;
            case"基金清盘":
                return "150";
                break
        }
    }
};var link = function (_url) {
    if (_url)top.location.href = _url
};
var currentFund = function () {
    var _this = this;
    _this.url = currencyAddress + "html/images/";
    _this.imgName = "loading.gif";
    var LoadingDivDom = document.createElement("DIV");
    var LoadingImgDom = document.createElement("Img");
    var MssageDivDom = document.createElement("DIV");
    with (LoadingDivDom) {
        id = "loadingDiv";
        style.width = "1px";
        style.height = "1px";
        style.position = "fixed";
        style.zIndex = 99999999;
        style.display = "none";
        style.backgroundColor = "#000";
        style.opacity = ".5"
    }
    ;
    with (LoadingImgDom) {
        id = "loadingImg";
        src = _this.url + _this.imgName;
        style.width = "10%";
        style.height = "auto";
        style.position = "fixed";
        style.left = "0px";
        style.top = "0px";
        style.margin = "30% 45%"
    }
    ;
    with (MssageDivDom) {
        id = "MessageDiv";
        style.width = "auto";
        style.height = "auto";
        style.textAlign = "center";
        style.fontFamily = "Microsoft YaHei";
        style.fontSize = "14px";
        style.color = "#fff";
        style.margin = "40% 16% 16%";
        style.padding = "2% 4%";
        style.position = "fixed";
        style.zIndex = 99999999;
        style.left = "0px";
        style.top = "0px";
        style.display = "none";
        style.opacity = ".8";
        style.borderRadius = "6px";
        style.backgroundColor = "#000"
    }
    ;
    LoadingDivDom.appendChild(LoadingImgDom);
    document.body.insertBefore(LoadingDivDom, document.body.childNodes[0]);
    document.body.insertBefore(MssageDivDom, document.body.childNodes[0])
};
var cFundObjects = currentFund.prototype;
cFundObjects.showLoading = function () {
    if (document.getElementById("loadingDiv")) {
        var DivDom = document.getElementById("loadingDiv");
        with (DivDom.style) {
            width = "100%";
            height = "100%";
            display = "block"
        }
    }
    ;
    if (document.getElementById("page_a")) {
        var scrollObj = document.getElementById("page_a");
        scrollObj.style.overflow = "hidden"
    }
};
cFundObjects.hiddenLoading = function () {
    if (document.getElementById("loadingDiv")) {
        var DivDom = document.getElementById("loadingDiv");
        with (DivDom.style) {
            width = "1px";
            height = "1px";
            display = "none"
        }
    }
    ;
    if (document.getElementById("page_a")) {
        var scrollObj = document.getElementById("page_a");
        scrollObj.style.overflow = "visible"
    }
    ;
};
cFundObjects.showMsg = function (word) {
    if (document.getElementById("MessageDiv")) {
        var DivDom = document.getElementById("MessageDiv");
        with (DivDom) {
            innerHTML = word;
            style.display = "block";
            style.height = "auto";
            style.width = "60%";
            style.lineHeight = "20px";
            style.opacity = .8
        }
    }
    ;
    setTimeout(function () {
        $("#MessageDiv").fadeOut()
    }, 2000)
};
cFundObjects.judgeCurrentBrowser = function () {
    var ua = navigator.userAgent;
    if (ua.indexOf("UCBrowser") != -1) {
        return "ucbrowser"
    } else {
        return false
    }
};
cFundObjects.encrypts = function (str) {
    var exponent = "10001";
    var data = str.split("").reverse().join("");
    var publicKey = "d741760e63aab01eecf8f2237468da2c9a1f3dfb7de74d8bed23de8eb734b0771aa88ab3acfe3d223f24c057a37f8976cd592a5061fba10cfa212ac7448ef4ce9710a3c5ecb176ed10f55612de976edda1a000faf74923efa80645d0654588c1bc314a28879aeda2ed08b0b83c3582ef3de1fe9125aa67130cdfcd3128732461";

    setMaxDigits(130);

    var key = new RSAKeyPairApp(exponent, "", publicKey);
    var inputLen = data.length,encryptedData ="",offSet = 0,cache="",i = 0, MAX_ENCRYPT_BLOCK=128;

    // 对数据分段加密
    while (inputLen - offSet > 0) {
        if (inputLen - offSet > MAX_ENCRYPT_BLOCK) {
            cache =  encryptedString(key, data.substr(offSet,MAX_ENCRYPT_BLOCK));
        } else {
            cache =  encryptedString(key, data.substr(offSet,inputLen - offSet));
        }
        encryptedData = cache + encryptedData;
        i++;
        offSet = i * MAX_ENCRYPT_BLOCK;
    }

    return encryptedData;
};
cFundObjects.encryptApp = function (str) {
    var exponent = "10001";
    var data = str.split("").reverse().join("");
    var publicKey = "d741760e63aab01eecf8f2237468da2c9a1f3dfb7de74d8bed23de8eb734b0771aa88ab3acfe3d223f24c057a37f8976cd592a5061fba10cfa212ac7448ef4ce9710a3c5ecb176ed10f55612de976edda1a000faf74923efa80645d0654588c1bc314a28879aeda2ed08b0b83c3582ef3de1fe9125aa67130cdfcd3128732461";

    setMaxDigits(130);

    var key = new RSAKeyPairApp(exponent, "", publicKey);
    var inputLen = data.length,encryptedData ="",offSet = 0,cache="",i = 0, MAX_ENCRYPT_BLOCK=128;

    // 对数据分段加密
    while (inputLen - offSet > 0) {
        if (inputLen - offSet > MAX_ENCRYPT_BLOCK) {
            cache =  encryptedString(key, data.substr(offSet,MAX_ENCRYPT_BLOCK));
        } else {
            cache =  encryptedString(key, data.substr(offSet,inputLen - offSet));
        }
        encryptedData = cache + encryptedData;
        i++;
        offSet = i * MAX_ENCRYPT_BLOCK;
    }

    return encryptedData;
};
function judgeLogin() {
    var page_login2 = new getAjaxMessage();
    var dataIsLogin2 = "";
    page_login2.init("isLogin", dataIsLogin2, "jsonp", login_callback2, "y");
    page_login2.sendAjax();
    function login_callback2(loginData) {
        if (loginData["respCode"]) {
            switch (loginData["respCode"]) {
                case'888':
                    break;
                case'777':
                    setTimeout(function () {
                        gotoTransfer(location.href, "b")
                    }, 50);
                    break;
                case'555':
                    setTimeout(function () {
                        gotoTransfer(currencyAddress + "html/account/approve.html", "n")
                    }, 50);
                    break;
                default:
                    break
            }
        }
    }
};function maskinginit() {
    var maskEle = document.createElement("DIV");
    maskEle.id = "maskDiv";
    with (maskEle.style) {
        width = "1px";
        height = "1px";
        opacity = .6;
        zIndex = 99999999;
        diaplay = "none";
        backgroundColor = "#000";
        position = "fixed"
    }
    ;
    document.body.insertBefore(maskEle, document.body.childNodes[0])
};function openMasking() {
    if (document.getElementById('maskDiv')) {
        var maskDom = document.getElementById('maskDiv');
        maskDom.style.width = "100%";
        maskDom.style.height = "100%";
        maskDom.style.display = "block"
    }
};function closeMasking() {
    if (document.getElementById('maskDiv')) {
        var maskDom = document.getElementById('maskDiv');
        maskDom.style.width = "1px";
        maskDom.style.height = "1px";
        maskDom.style.display = "none"
    }
};maskinginit();
var leadBuyUrl = "";
function buybut(_fundtype, _url) {
    var checkType = new getAjaxMessage();
    //var dataCheckType = "fundcode=" + _fundtype;
    var dataCheckType = "";
    leadBuyUrl = _url;
    checkType.init("custAssessmentRecordsQuery", dataCheckType, "jsonp", checkTypeCallBack, "y");
    checkType.sendAjax();
    if (currentFundObj)pLoader.show()
};function checkTypeCallBack(data) {
    currentFundObj.hiddenLoading();
    if (data["respCode"] == "000") {
        if (data["fundtype"] != "")var fundType = data["fundtype"];
        if (data.score >= 17 && data.score <= 22) {
            if (fundType == "股票型") {
                showWarn("warn", "", "warn.png", "当前选择的基金风险等级为'中高风险等级',您的风险等级为'" + data["riskLevelInfo"] + "'", "", leadBuyUrl)
            } else {
                gotoTransfer(leadBuyUrl, 'b')
            }
        } else if (data.score >= 23 && data.score <= 29) {
            gotoTransfer(leadBuyUrl, 'b');
        } else if (data.score >= 30 && data.score <= 35) {
            gotoTransfer(leadBuyUrl, 'b');
        } else if (data.score >= 36 && data.score <= 40) {
            gotoTransfer(leadBuyUrl, 'b');
        } else {
            if (fundType != "债券型" && fundType != "货币型") {
                if (data["riskLevelInfo"] == "")showWarn("warn", "", "warn.png", "当前选择的基金风险等级为'中高风险等级'", "", leadBuyUrl); else showWarn("warn", "", "warn.png", "当前选择的基金风险等级为'中高风险等级',您的风险等级为'" + data["riskLevelInfo"] + "'", "", leadBuyUrl)
            } else {
                gotoTransfer(leadBuyUrl, 'b')
            }
        }
    } else if (data["respCode"] == "777") {
        gotoTransfer(location.href, 'm')
    } else if (data["respCode"] == "999") {
        gotoTransfer(location.href, 'm')
    }
};function transColor(num) {
    var numType = typeof num;
    var numColor = "#de483f";
    switch (numType) {
        case"string":
            if (num != "" && num != "--") {
                if (num.indexOf("-") != -1)numColor = "#00b000"
            }
            break;
        case"number":
            if (num < 0) {
                numColor = "#00b000"
            }
            break;
        case"object":
            if (num == null) {
                document.title = null
            }
            break
    }
    return numColor
};function transNum(n) {
    var str = n;
    var s = 7;
    if (str.indexOf("-") != -1)s = 8;
    if (str.length >= s) {
        if (str.indexOf(".") != -1) {
            var t = str.indexOf(".");
            var d = str.substr(0, t);
            return d
        }
    } else {
        return n
    }
};function sheryWX(title, link, desc) {
    $(function () {
        var _imgurl = "http:\/\/m.leadbank.com.cn\/html\/images\/sheryImg.png";
        if (title != "") {
            var _title = title;
            var _link = link;
            var _desc = desc
        } else {
            var _title = "利得首页";
            var _link = "m.leadbank.com.cn";
            var _desc = "分享测试摘要"
        }
        ;
        var shareData = {title: _title, link: _link, imgUrl: _imgurl, desc: _desc};
        wx.ready(function () {
            wxApi.share(shareData)
        })
    })
};var currentFundObj = new currentFund();

;(function(){
    if (typeof Gf === "undefined") {

        // Gf构造函数
        Gf = function(isCreateNew){
            var G = this;

            var instanceOf = function(o, type) {
                return (o && o.hasOwnProperty && (o instanceof type));
            };

            if (isCreateNew) {
                if (!(instanceOf(G,Gf))) {
                    G = new Gf();
                } else {
                    G._init();
                }
            }
            return G;
        };

        Gf.prototype = {
            // version: version,
            _init: function(){
                this.constructor = Gf;
            }
        };

        // 创建名为G的Gf实例
        G = new Gf(true);

    }

})(this);

// base函数扩展
Class = function(){
    var length = arguments.length;
    var option = arguments[length-1];
    option.init = option.init || function(){};

    var newClass = function() {
        // 返回一个构造函数,在new的时候自动执行
        return this.init.apply(this, arguments);
    }

    newClass.prototype = option;
    return newClass;
}
G.Class = Class;


// 格式化扩展
function fix(num, length) {
    return ('' + num).length < length ? ((new Array(length + 1)).join('0') + num).slice(-length) : '' + num;
}

// json扩展
G.json = window.JSON || {};

toObj = function(string){
    return eval('(' + string + ')');
};

G.json.toObj = toObj;

//ajax扩展
G.ajax = G.ajax || {};

function getAjaxMessage () {};
var ajaxObject = getAjaxMessage.prototype;
// var ran = Math.random();

var _errorback = function (responseText, textStatus, XMLHttpRequest) {
    console.log("getAjaxMessage() error",responseText,textStatus,XMLHttpRequest)
};
ajaxObject.init = function (_interface, _type, _data, _dataType, _callBack, _errorBack)
{
    // this._interfaceUrl = "http://10.1.1.25:8086/ld_fund_web/"+_interface;

    this._interfaceUrl =  window.location.origin + "/front-gateway-web/"+_interface;
    this._type = _type;

    //增加terminal参数
    if((typeof _data)=="string"){
        if (!_data){
            _data += "terminal=H5";
        }else{
            _data = "terminal=H5&" + _data;
        }
        //console.log(_data);
        //console.log(typeof _data);
    }
    else if((typeof _data)=="object"){
        //console.log('this is an object');
        _data.terminal ="H5"
    }
    this._interfaceData = _data;
    this._interfaceDataType = _dataType;
    this._interfaceCallBack = _callBack;
    this._errorBack = _errorBack || _errorback;
};
ajaxObject.sendAjax = function ()
{

    $.ajax(
        {
            url : this._interfaceUrl,
            type : this._type,
            dataType : this._interfaceDataType,
            data : this._interfaceData ,
            success : this._interfaceCallBack,
            error : this._errorBack,
            // complete: function(xhr,status){
            //     console.log(xhr);
            // }
            accepts: {
                Accept: "application/json, text/javascript, */*; q=0.01"
            }
        })
};
G.ajax = ajaxObject;

// string扩展
G.string = G.string || {};

var Loader = new Class({
    init: function(option){
        var _this = this;

        // var node = document.createElement("div");
        //     node.className = "ui_loader";
    },
    show: function(){

    },
    hidden: function(){

    }

});

/*
G.ui.NumBox = NumBox;
G.ui.Loader = Loader;
*/

// url扩展
G.path = G.path || {};
function getQueryString(name) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
    var r = window.location.search.substr(1).match(reg);
    if (r != null) return unescape(r[2]);
    return null;
}

G.path.getQueryString = getQueryString;



var gotoTransfer = function (_url, _transferType)
{
    if (_url && _transferType)
    {
        window.location.href = window.location.origin + "/front-gateway-web/" + "transferAction.action?backHtml=" + _url +"&transferType="+_transferType;
        // window.location.href=interfaceUrl+"transferAction.action?backHtml="+_url+"&transferType="+_transferType+"&_="+ran
    }
    else {
        alert("没有传递相关参数.")
    }
};


function judgeLogin(_url,_case)//_url为成功登录和认证成功后地址
{
    _url = _url || "";
    _case = _case || "";
    var page_login2 = new getAjaxMessage();
    var dataIsLogin2 = "";
    var res = page_login2.init("isLogin.action","post", dataIsLogin2, "json", login_callback2, "y");
    page_login2.sendAjax();
    function login_callback2(loginData)
    {
        if (loginData["respCode"])
        {
            switch (loginData["respCode"])
            {
                case '777':
                    //location.href =  "/html/account/login_index.html?backHtml=" + _url;
                    setTimeout(function ()
                    {
                        if (_case == "detail") {
                            gotoTransfer(location.href, "b");
                        }else{
                            gotoTransfer(_url, "b");
                        }
                        //     ;
                        // gotoTransfer(_url, "b");
                        // if (_case == "account") {  gotoTransfer(_url, "b");}else{
                        //          gotoTransfer(window.location, "b");

                        // }

                    }, 50);
                    break;
                case '999':
                    console.log("是否登录调用错误")
                    break;
                default:
                    var custInfomation = new getAjaxMessage();

                    var custInfomationQuery = "queryFlag=3";

                    custInfomation.init('custInfomationQuery.action',"post", custInfomationQuery, "json",function(data){
                        //console.log(data);
                        var fundOpenStatus = 0,baoOpenStatus = 0;
                        if (data.custInfomationBean){
                            if (data.custInfomationBean.clentStatus == 0) {
                                fundOpenStatus = 1;
                            };
                        }
                        if (data.accountInfoBean2){
                            if (data.accountInfoBean2.authnameStatus == "T") {
                                baoOpenStatus = 1;
                                //console.log("进入");
                            }

                        }
                        // 假设认证状态
                        //var fundOpenStatus = 0,baoOpenStatus = 0;
                        //打印认证状态
                        //console.log(data.accountInfoBean.authnameStatus);
                        console.log("基金开户状态"+ fundOpenStatus +"利得宝开户状态"+ baoOpenStatus);
                        if(fundOpenStatus || baoOpenStatus){
                            // 有一方开户
                            if ( _case == "account") {
                                if(data.custInfomationBean.custName){
                                    $("#username").html( data.custInfomationBean.custName +"，欢迎回来！")
                                }else{
                                    $("#username").html( "欢迎回来！")
                                }

                                acctSumAssetInfo.sendAjax();
                                // $(".IncomeAssets").attr("class","123");
                                // window.location =  _url;// 在账户页面时返回
                                // break;
                            }else{

                                if (fundOpenStatus && baoOpenStatus) {
                                    // 两者都开户
                                    window.location =  _url;
                                }else{
                                    // 判断某一方开户
                                    window.location =  fundOpenStatus ? "/html/account/open/index.html?openType=2&backHtml=" + _url +"#3" : _url;
                                    //旧开户页面
                                    //window.location =  fundOpenStatus ? "/html/account/approve.html?step=2&openType=2&backHtml=" + _url : _url;
                                    //fundOpenStatus == 1 ? gotoTransfer("http://10.1.1.25:8086/html/account/approve.html?type=bao", "n") : (return true);
                                }
                            }

                        }
                        else{
                            // 两者都未开户
                            if ( _case == "account") {
                                if(data.custInfomationBean.custName){
                                    $("#username").html( data.custInfomationBean.custName +"，欢迎回来！")
                                }else{
                                    $("#username").html( "欢迎回来！")
                                }
                                $(".IncomeAssets").replaceWith('<div class="IncomeAssets"><p class="nocard_txt">绑定银行卡，可便捷了解账户收益情况</p><a class="nocard_link" href="/html/account/open/index.html?openType=3&openCard=1#1">绑定银行卡</a></div>');
                                //window.location =  _url;// 在账户页面时显示绑定
                            }else{
                                //旧开户页面
                                //window.location = "/html/account/approve.html?step=1&openType=3&backHtml=" + _url ;
                                window.location = "/html/account/open/index.html?openType=3&backHtml=" + _url +"#1" ;
                            }
                        }
                        // 加载完成隐藏loading
                        pLoader.hide();
                    });
                    custInfomation.sendAjax();

                    break;
            }
        }

    }
    return res;
};

//微信分享
function sheryWX(title, link, desc) {
    $(function() {
        var _imgurl = "http:\/\/m.leadbank.com.cn\/html\/images\/sheryImg.png";
        if (title != "") {
            var _title = title;
            var _link = link;
            var _desc = desc
        } else {
            var _title = "利得首页";
            var _link = "m.leadbank.com.cn";
            var _desc = "分享测试摘要"
        };
        var shareData = {
            title: _title,
            link: _link,
            imgUrl: _imgurl,
            desc: _desc
        };
        wx.ready(function() {
            wxApi.share(shareData)
        })
    })
};


var currencyAddress =  window.location.origin +"/";
var currentFund = function() {
    var _this = this;
    _this.url = currencyAddress + "html/images/";
    _this.imgName = "loading.gif";
    var LoadingDivDom = document.createElement("DIV");
    var LoadingImgDom = document.createElement("Img");
    var MssageDivDom = document.createElement("DIV");
    with(LoadingDivDom) {
        id = "loadingDiv";
        style.width = "1px";
        style.height = "1px";
        style.position = "fixed";
        style.zIndex = 99999999;
        style.display = "none";
        style.backgroundColor = "#000";
        style.opacity = ".5"
    };
    with(LoadingImgDom) {
        id = "loadingImg";
        src = _this.url + _this.imgName;
        style.width = "10%";
        style.height = "auto";
        style.position = "fixed";
        style.left = "0px";
        style.top = "0px";
        style.margin = "30% 45%"
    };
    with(MssageDivDom) {
        id = "MessageDiv";
        style.width = "auto";
        style.height = "auto";
        style.textAlign = "center";
        style.fontFamily = "Microsoft YaHei";
        style.fontSize = "14px";
        style.color = "#fff";
        style.margin = "40% 16% 16%";
        style.padding = "2% 4%";
        style.position = "fixed";
        style.zIndex = 99999999;
        style.left = "0px";
        style.top = "0px";
        style.display = "none";
        style.opacity = ".8";
        style.borderRadius = "6px";
        style.backgroundColor = "#000"
    };
    LoadingDivDom.appendChild(LoadingImgDom);
    document.body.insertBefore(LoadingDivDom, document.body.childNodes[0]);
    document.body.insertBefore(MssageDivDom, document.body.childNodes[0])
};
var cFundObject = currentFund.prototype;
cFundObject.showLoading = function() {
    if (document.getElementById("loadingDiv")) {
        var DivDom = document.getElementById("loadingDiv");
        with(DivDom.style) {
            width = "100%";
            height = "100%";
            display = "block"
        }
    };
    if (document.getElementById("page_a")) {
        var scrollObj = document.getElementById("page_a");
        scrollObj.style.overflow = "hidden"
    };
    document.body.style.overflow = "hidden"
};
cFundObject.hiddenLoading = function() {
    if (document.getElementById("loadingDiv")) {
        var DivDom = document.getElementById("loadingDiv");
        with(DivDom.style) {
            width = "1px";
            height = "1px";
            display = "none"
        }
    };
    if (document.getElementById("page_a")) {
        var scrollObj = document.getElementById("page_a");
        scrollObj.style.overflow = "visible"
    };
    document.body.style.overflow = "visible"
};
cFundObject.showMsg = function(word) {
    if (document.getElementById("MessageDiv")) {
        var DivDom = document.getElementById("MessageDiv");
        with(DivDom) {
            innerHTML = word;
            style.display = "block";
            style.height = "auto";
            style.width = "60%";
            style.lineHeight = "20px";
            style.opacity = .8
        }
    };
    setTimeout(function() {
            $("#MessageDiv").fadeOut()
        },
        2000)
};
